<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Nexpose|Import Nexpose Data">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Passing the hash is a technique that enables attackers to use the password hash to authenticate to a remote server or service. " /><title>Passing the Hash from Metasploit</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#10-nexpose/passing-hash.html">Open topic with navigation</a>
        </p>
        <h2>Passing the Hash from Metasploit</h2>
        <p><a name="kanchor94"></a>Passing the hash is a technique that enables attackers to use the password hash to authenticate to a remote server or service. During exploitation, <span class="VariablesProductName">Metasploit Pro</span> collects data, such as password hashes, from the exploited system. After <span class="VariablesProductName">Metasploit Pro</span> collects password hashes from a target, it can pass the hash to Nexpose and run a Nexpose scan to perform a credential scan. 
</p>
        <p class="Note" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>Before you can pass the hash in <span class="VariablesProductName">Metasploit Pro</span>, you must configure a Nexpose Console from the Global Settings. After you configure a Nexpose Console, you can launch a Nexpose scan from the <span class="VariablesProductName">Metasploit Pro</span> interface to pass the hash to the Nexpose scan. </p>
        <ol>
            <li value="1">From within a project, click the <b class="UISelection">Analysis </b>tab.</li>
            <li value="2">Click <b class="UISelection">Nexpose </b>from the Quick Tasks menu.</li>
            <li value="3">Select a Nexpose Console. The list shows Nexpose consoles that are available for the project.</li>
            <li value="4">Enter addresses for the scan targets. </li>
        </ol>
        <p class="NoBulletListIndent">You can specify an IP address or a host name. There can be one address on each line.<span class="VariablesProductName">Metasploit Pro</span> supports IPv4 and IPv6 addresses. You can use standard IPv6 addressing to define individual IPv6 addresses. For example, use fe80::202:b3ff:fe1e:8329 for single addresses and 2001:db8::/32 for CIDR notations. For link local addresses, you must append the interface ID to the address. For example, enter fe80::1%eth0 for a link local address.</p>
        <ol start="5">
            <li value="5">Select a scan template.</li>
            <li value="6">Click <b class="UISelection">Show Advanced Options</b> to configure additional options for the scan.</li>
            <li value="7">Select <b class="UISelection">Pass the LM/NTLM hash credentials</b>. The Hash Credentials box displays. <span class="VariablesProductName">Metasploit Pro</span> automatically populates the Hash Credentials box with a list of looted hashes. You can modify or add hashes to the hash list.</li>
            <li value="8">Launch the Nexpose scan.</li>
        </ol>
    </body>
</html>